Download it now!
Bug 91334 - Saving XLSX File Breaks Links (on images) When Opened in Microsoft Office
Summary: Saving XLSX File Breaks Links (on images) When Opened in Microsoft Office
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Excel-2013-Templates
  Show dependency treegraph
 
Reported: 2015-05-16 19:14 UTC by Joel Madero
Modified: 2016-10-10 12:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Original.xlsx (39.37 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-05-16 19:14 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2015-05-16 19:14:55 UTC
Created attachment 115667 [details]
Original.xlsx

Windows 7
Version: 5.0.0.0.alpha1+
Build ID: 6664859e1e8b3f8b7db8c931b8d0335510c20ce0
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-05-16_03:18:47
Locale: en-US (en_US)

1) Download Original.xlsx
2) Save as some new name (same extension xlsx);
3) Close file;
4) Open file in Microsoft Office 2013
5) Try left clicking on one of the two linked images near the top (column k area)

Observed:
Microsoft Office spits out error "Reference is not valid"

Expected:
No errors - links still work as they did in original
Comment 1 Joel Madero 2015-05-16 19:15:44 UTC
Note: If you open the same file again in LibreOffice the links are completely missing (bug 91333)
Comment 2 raal 2015-05-22 11:33:15 UTC
I can confirm with LO 4.4.3, win7 and excel 2010.
After resave - In excel are links lost, in LO are lost also shapes.
Comment 3 Commit Notification 2015-05-27 18:43:43 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d33f6634c5fb84cb2a801d7819c8affb031cc02

transform calc URLs to OOXML format, related tdf#91334

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-05-27 18:43:46 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5142c9226318019200ed6e055b4eb1503bd002db

add test for tdf#91334

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Markus Mohrhard 2015-05-27 18:45:07 UTC
The hyperlinks are also there in Calc. They are invisible so you can't see them and need move the mouse arround until the mouse pointer changes the shape.
Comment 6 Cor Nouws 2015-10-09 13:37:02 UTC
@moggi: would that be reasonable/doable?
Comment 7 Timur 2015-10-12 11:43:00 UTC
Problem reproducible from 4.3. Before, RT didn't save file well.
Comment 8 Cor Nouws 2015-10-12 12:07:09 UTC
could this be the same as bug 86094 ?